summaryrefslogtreecommitdiffstats
path: root/poky/meta/recipes-support/lzo/lzo/run-ptest
diff options
context:
space:
mode:
Diffstat (limited to 'poky/meta/recipes-support/lzo/lzo/run-ptest')
-rw-r--r--poky/meta/recipes-support/lzo/lzo/run-ptest33
1 files changed, 33 insertions, 0 deletions
diff --git a/poky/meta/recipes-support/lzo/lzo/run-ptest b/poky/meta/recipes-support/lzo/lzo/run-ptest
new file mode 100644
index 000000000..6acb89fc1
--- /dev/null
+++ b/poky/meta/recipes-support/lzo/lzo/run-ptest
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+./lzotest -mavail -n10 -q /etc/services
+if [ $? -eq 0 ]; then
+ echo 'PASS: lzotest'
+else
+ echo 'FAIL: lzotest'
+fi
+LZOTEST=./lzotest /bin/sh -e "./check.sh" "/etc"
+./align
+if [ $? -eq 0 ]; then
+ echo 'PASS: align'
+else
+ echo 'FAIL: align'
+fi
+./chksum
+if [ $? -eq 0 ]; then
+ echo 'PASS: chksum'
+else
+ echo 'FAIL: chksum'
+fi
+./simple
+if [ $? -eq 0 ]; then
+ echo 'PASS: simple'
+else
+ echo 'FAIL: simple'
+fi
+./testmini
+if [ $? -eq 0 ]; then
+ echo 'PASS: testmini'
+else
+ echo 'FAIL: testmini'
+fi
OpenPOWER on IntegriCloud